com.mapinfo.midev.language.filter

## Class ComparisonOperator

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.language.filter.ComparisonOperator

All Implemented Interfaces:
  Serializable, Comparable

    public final class ComparisonOperator
    extends Enum

Enumeration of attribute comparison operation types. Used in conjunction with `AttributeFilterCapability` to indicate which attribute comparison operators are supported by an `IDataSourceTable`.

See Also:
  Serialized Form

### Field Summary

Fields
`static ComparisonOperator` `EQUAL`
`static ComparisonOperator` `GREATER_THAN`
`static ComparisonOperator` `GREATER_THAN_EQUAL_TO`
`static ComparisonOperator` `LESS_THAN`
`static ComparisonOperator` `LESS_THAN_EQUAL_TO`
`static ComparisonOperator` `NOT_EQUAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static ComparisonOperator` `valueOf(String name)`
`static ComparisonOperator[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EQUAL

    public static final ComparisonOperator EQUAL

#### NOT_EQUAL

    public static final ComparisonOperator NOT_EQUAL

#### GREATER_THAN

    public static final ComparisonOperator GREATER_THAN

#### GREATER_THAN_EQUAL_TO

    public static final ComparisonOperator GREATER_THAN_EQUAL_TO

#### LESS_THAN

    public static final ComparisonOperator LESS_THAN

#### LESS_THAN_EQUAL_TO

    public static final ComparisonOperator LESS_THAN_EQUAL_TO

### Method Detail

#### values

    public static ComparisonOperator[] values()

#### valueOf

    public static ComparisonOperator valueOf(String name)